-- not doing anything here, index handling moved to a tool

---- indexed identifiers
---- CREATE INDEX real_estates_fqdn_idx ON real_estates USING hash (fqdn);
--CREATE INDEX real_estates_extId_idx ON real_estates USING btree "extId";
--CREATE INDEX real_estates_dups_idx ON real_estates USING gin (dups);
--CREATE INDEX real_estates_array_length_dups ON real_estates USING btree (array_length(dups, 1));
--
---- indexes for important json props
---- CREATE INDEX "real_estates_props_ownType_idx" ON real_estates USING btree ((props ->> 'ownType'::text));
---- CREATE INDEX "real_estates_props_useType_idx" ON real_estates USING btree ((props ->> 'useType'::text));
--CREATE INDEX real_estates_props_investmentOnly_idx ON real_estates USING btree (((props ->> 'investmentOnly')::boolean));
--CREATE INDEX real_estates_props_cooperative_idx ON real_estates USING btree (((props ->> 'cooperative')::boolean));
--CREATE INDEX real_estates_props_councilHome_idx ON real_estates USING btree (((props ->> 'councilHome')::boolean));
--CREATE INDEX real_estates_props_noCommission_idx ON real_estates USING btree (((props ->> 'noCommission')::boolean));
---- CREATE INDEX "real_estates_geo_precision_idx" ON real_estates USING btree (("geoResult" ->> 'precision'::text));
---- CREATE INDEX "real_estates_geo_type_idx" ON real_estates USING btree (("geoResult" ->> 'type'::text));
---- CREATE INDEX "real_estates_geo_id_idx" ON real_estates USING btree (("geoResult" ->> 'id'::text));
--
---- indexed columns
--CREATE INDEX real_estates_livingSpace_idx ON real_estates USING btree ("livingSpace");
---- CREATE INDEX "real_estates_plotArea_idx" ON real_estates USING btree ("plotArea");
---- CREATE INDEX "real_estates_usableSpace_idx" ON real_estates USING btree ("usableSpace");
---- CREATE INDEX "real_estates_roomSpace_idx" ON real_estates USING btree ("roomSpace");
--CREATE INDEX real_estates_rentalFee_idx ON real_estates USING btree ("rentalFee");
--CREATE INDEX real_estates_purchasePrice_idx ON real_estates USING btree ("purchasePrice");
--CREATE INDEX real_estates_annualLeaseFee_idx ON real_estates USING btree ("annualLeaseFee");
--CREATE INDEX real_estates_rooms_idx ON real_estates USING btree ("rooms");
--CREATE INDEX real_estates_type_idx ON real_estates USING gin (type);
----CREATE INDEX "real_estates_geo_idx" ON real_estates USING gist (geo);
--
---- indexed derived fields
--CREATE INDEX real_estates_intersected_idx ON real_estates USING gin (intersected);
--
---- indexed meta data
--CREATE INDEX real_estates_online_idx ON real_estates USING btree (online);
--CREATE INDEX real_estates_created_idx ON real_estates USING btree (zs_unixtime(created));
---- CREATE INDEX real_estates_unixtime_modified_idx ON real_estates USING btree (zs_unixtime(modified));
---- CREATE INDEX real_estates_updated_idx ON real_estates USING btree (updated);
--CREATE INDEX real_estates_modified_idx ON real_estates USING btree (modified); -- add a normal index on modified as well (we had only zs_unixtime(modified) before)
---- CREATE INDEX real_estates_bigImagesLength_idx ON real_estates USING btree (array_length("bigImages", 1));
--CREATE INDEX real_estates_props__ver_idx ON real_estates USING btree  ((props->>'_ver'));
